# Gentoo-ecodms

Dieses Repository für Gentoo Linux enthält ebuilds, im die Client-Komponenten des Dokumentenmanagementsystems [ecoDMS](http://www.ecodms/) unter Gentoo Linux nutzen zu können.

Die ebuilds sind nur insofern getestet, daß ich sie selbst auf meinen eigenen Rechnern nutzen kann, es ist auch nur die amd64-Fassung getestet.

Diese ebuilds werden von mir privat, nicht-kommerziell und ohne jegliche Rücksprache mit der applord GmbH hier angeboten.
Es wird keinerlei Code von ecoDMS benutzt.

Die ebuilds nutzen jene .deb-Pakete, die für Debian Wheezy gedacht sind.

## Einbinden in Gentoo Linux

Um das Repository nutzen zu können, nutzt man am einfachsten "layman".
Im Abschnitt `overlays` fügt man nun folgende Zeile hinzu:

`https://raw.github.com/acn128/gentoo-ecodms/master/repositories.xml`

Dies sieht dann z.B. so aus:

`overlays : `

`    https://raw.github.com/acn128/gentoo-ecodms/master/repositories.xml`

Nun kann das Repository durch `layman -a ecoDMS` aktiviert werden.

## Pakete

Folgende Pakete sind verfügbar:

* `app-office/ecodmsclient`: Der eigentliche Client
* `app-office/ecoice`: Der Scan- und Indexierungs-Client
* `net-print/ecodmsprinter`: Der PDF/A-Drucker (via CUPS)

## USE-Flags

* `bundled-qt5`: Ist dieses Flag aktiv, werden die von Upstream mitgebrachten Qt5-Bibliotheken installiert und es erfolgt keine Abhängigkeit zu den Qt5-Bibliotheken von Gentoo. Ist das Flag nicht aktiv, müssen die Qt5-Bibliotheken via Gentoo installiert werden -- aktuell müssen hierfür etliche Einträge in `package.accept_keywords` vorgenommen werden.
* `english` (ecodmsclient, ecoice): Wenn gesetzt, wird statt der deutschen Sprachdatei die englische Sprachdatei benutzt.

## Tray-Icon

So wie es aussieht, gibt es aktuell Probleme bei Qt5 mit der Darstellung des Tray-Icons des Connection Managers.
Wird ein Compositor benutzt (z.B. von XFCE), ist das Icon im Systray-Bereich nicht sichtbar. Sobald der Compositor deaktiviert wird, ist das Icon zu sehen.

## LibreOffice-Plugin

Um das LibreOffice-Plugin (verfügbar unter [www.ecodms.de](www.ecodms.de)) benutzen zu können, muß bei LibreOffice das USE-Flag `java` gesetzt sein und eine Java-JRE der Version 7 installiert sein.

Beispiel-Konfiguration:
* `packace.accept_keywords`:
  * `dev-java/icedtea-bin:7 ~amd64`

* `package.use`:
  * `app-office/libreoffice-bin java`

Nun `icedtea-bin:7` installieren und mittels `eselect java-vm` die Version 7 aktivieren.

## "Security problem"

Bei der Installation der ecoDMS-Komponenten werden von `scanelf` mehrere Meldungen wie die folgende anzeigen:
`scanelf: rpath_security_checks(): Security problem with relative DT_RPATH ` (...)

Dies betrifft die original von applord kommenden ecoDMS-Binaries. Hierbei ist jener Pfad auch auf "." gesetzt, in welchem nach Bibliotheken gesucht wird. 

## Server-Komponente

Da ich selbst meinen ecoDMS-Server unter Debian Linux betreibe, gibt es von mir aktuell kein ebuild für den ecoDMS-Server.
Sorry!



